import Action from './Action';

interface IModule<State, Payload> {
  Name: string;
  ActionTypes: {[key: string]: any};
  Actions: {[key: string]: any};
  Reducer: (state: State, action: Action<Payload>) => State;
}

export default IModule;
